Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pubnub.api
Class PubnubError

    java.lang.Object
      com.pubnub.api.PubnubError

    public class PubnubError

extends java.lang.Object

Field Summary
`static PubnubError` | `PNERR_5000_TIMEOUT`
`static PubnubError` | `PNERR_5001_ENCRYPTION_ERROR`
`static PubnubError` | `PNERR_5002_ERR_DECRYPTION_ERROR`
`static PubnubError` | `PNERR_5003_INVALID_JSON`
`static PubnubError` | `PNERR_5004_JSON_ERROR`
`static PubnubError` | `PNERR_5005_JSON_ERROR`
`static PubnubError` | `PNERR_5006_MALFORMED_URL`
`static PubnubError` | `PNERR_5007_PUBNUB_ERROR`
`static PubnubError` | `PNERR_5008_URL_OPEN`
`static PubnubError` | `PNERR_5009_PROTOCOL_EXCEPTION`
`static PubnubError` | `PNERR_5010_CONNECT_EXCEPTION`
`static PubnubError` | `PNERR_5011_HTTP_RC_ERROR`
`static PubnubError` | `PNERR_5012_GETINPUTSTREAM`
`static PubnubError` | `PNERR_5013_GETINPUTSTREAM`
`static PubnubError` | `PNERR_5014_READINPUT`
`static PubnubError` | `PNERR_5015_INVALID_JSON`
`static PubnubError` | `PNERR_5016_BAD_REQUEST`
`static PubnubError` | `PNERR_5017_HTTP_ERROR`
`static PubnubError` | `PNERR_5018_HTTP_ERROR`
`static PubnubError` | `PNERR_5019_HTTP_ERROR`
`static PubnubError` | `PNERR_5020_BAD_GATEWAY`
`static PubnubError` | `PNERR_5021_CLIENT_TIMEOUT`
`static PubnubError` | `PNERR_5022_GATEWAY_TIMEOUT`
`static PubnubError` | `PNERR_5023_INTERNAL_ERROR`
`static PubnubError` | `PNERR_5024_DECRYPTION_ERROR`
`static PubnubError` | `PNERR_5025_DECRYPTION_ERROR`
`static PubnubError` | `PNERR_5026_PARSING_ERROR`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PNERR_5000_TIMEOUT

    public static final PubnubError PNERR_5000_TIMEOUT

### PNERR_5001_ENCRYPTION_ERROR

    public static final PubnubError PNERR_5001_ENCRYPTION_ERROR

### PNERR_5002_ERR_DECRYPTION_ERROR

    public static final PubnubError PNERR_5002_ERR_DECRYPTION_ERROR

### PNERR_5003_INVALID_JSON

    public static final PubnubError PNERR_5003_INVALID_JSON

### PNERR_5004_JSON_ERROR

    public static final PubnubError PNERR_5004_JSON_ERROR

### PNERR_5005_JSON_ERROR

    public static final PubnubError PNERR_5005_JSON_ERROR

### PNERR_5006_MALFORMED_URL

    public static final PubnubError PNERR_5006_MALFORMED_URL

### PNERR_5007_PUBNUB_ERROR

    public static final PubnubError PNERR_5007_PUBNUB_ERROR

### PNERR_5008_URL_OPEN

    public static final PubnubError PNERR_5008_URL_OPEN

### PNERR_5009_PROTOCOL_EXCEPTION

    public static final PubnubError PNERR_5009_PROTOCOL_EXCEPTION

### PNERR_5010_CONNECT_EXCEPTION

    public static final PubnubError PNERR_5010_CONNECT_EXCEPTION

### PNERR_5011_HTTP_RC_ERROR

    public static final PubnubError PNERR_5011_HTTP_RC_ERROR

### PNERR_5012_GETINPUTSTREAM

    public static final PubnubError PNERR_5012_GETINPUTSTREAM

### PNERR_5013_GETINPUTSTREAM

    public static final PubnubError PNERR_5013_GETINPUTSTREAM

### PNERR_5014_READINPUT

    public static final PubnubError PNERR_5014_READINPUT

### PNERR_5015_INVALID_JSON

    public static final PubnubError PNERR_5015_INVALID_JSON

### PNERR_5016_BAD_REQUEST

    public static final PubnubError PNERR_5016_BAD_REQUEST

### PNERR_5017_HTTP_ERROR

    public static final PubnubError PNERR_5017_HTTP_ERROR

### PNERR_5018_HTTP_ERROR

    public static final PubnubError PNERR_5018_HTTP_ERROR

### PNERR_5019_HTTP_ERROR

    public static final PubnubError PNERR_5019_HTTP_ERROR

### PNERR_5020_BAD_GATEWAY

    public static final PubnubError PNERR_5020_BAD_GATEWAY

### PNERR_5021_CLIENT_TIMEOUT

    public static final PubnubError PNERR_5021_CLIENT_TIMEOUT

### PNERR_5022_GATEWAY_TIMEOUT

    public static final PubnubError PNERR_5022_GATEWAY_TIMEOUT

### PNERR_5023_INTERNAL_ERROR

    public static final PubnubError PNERR_5023_INTERNAL_ERROR

### PNERR_5024_DECRYPTION_ERROR

    public static final PubnubError PNERR_5024_DECRYPTION_ERROR

### PNERR_5025_DECRYPTION_ERROR

    public static final PubnubError PNERR_5025_DECRYPTION_ERROR

### PNERR_5026_PARSING_ERROR

    public static final PubnubError PNERR_5026_PARSING_ERROR

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD